Index Page appndi_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void appndi_c ( SpiceInt        item,
                       SpiceCell     * cell )

#### Abstract

       Append an item to an integer cell.

#### Required_Reading

       CELLS

#### Keywords

       CELLS

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       item       I   The item to append.
       cell      I/O  The cell to which item will be appended.

#### Detailed_Input

       item       is an integer value which is to be appended to cell.

       cell       is an integer SpiceCell to which item will be appended.

#### Detailed_Output

       cell       is the input SpiceCell with item appended.  item is the
                  last member of cell.

                  If cell is actually a CSPICE set on input and ceases to
                  qualify as a set as result of the requested append
                  operation, the isSet member of cell will be set to
                  SPICEFALSE.

#### Parameters

       None.

#### Exceptions

       1) If the input cell argument doesn't have integer data type,
          the error SPICE(TYPEMISMATCH) is signaled.

       2) If the cell is not big enough to accommodate the addition
          of a new element, the error SPICE(CELLTOOSMALL) is signaled.

#### Files

       None.

#### Particulars

       None.

#### Examples

       1)  In the following example, the element 34 is appended to
           the integer cell fibNums.

             #include "SpiceUsr.h"
                    .
                    .
                    .
             /.
             Declare the cell with maximum number of elements MAXSIZ.
             ./
             SPICEINT_CELL ( fibNums, MAXSIZ );
                    .
                    .
                    .
             /.
             Before appending 34, the cell contains:

                Element 0: == 1
                Element 1: == 1
                Element 2: == 2
                Element 3: == 3
                Element 4: == 5
                Element 5: == 8
                Element 6: == 13
                Element 7: == 21

             The following call appends the element 34 at index 8, and
             updates the cardinality.
             ./

             appndi_c ( 34, &fibNums );

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman    (JPL)
       H.A. Neilan     (JPL)

#### Version

       -CSPICE Version 1.0.0, 01-AUG-2002 (NJB) (HAN)

#### Index_Entries

       append an item to an integer cell

#### Link to routine appndi_c source file appndi_c.c

    Wed Apr  5 17:54:28 2017